## TpAddDispatchOperationContext

TpAddDispatchOperationContext — context of a Approver.AddDispatchOperation() call

## Functions

void | tp_add_dispatch_operation_context_accept ()
void | tp_add_dispatch_operation_context_delay ()
void | tp_add_dispatch_operation_context_fail ()

## Properties

TpAccount * | account | Read / Write / Construct Only
GPtrArray * | channels | Read / Write / Construct Only
TpConnection * | connection | Read / Write / Construct Only
gpointer | dbus-context | Write / Construct Only
TpChannelDispatchOperation * | dispatch-operation | Read / Write / Construct Only

## Types and Values

| TpAddDispatchOperationContext

## Object Hierarchy

        GObject
        ╰── TpAddDispatchOperationContext

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

Object used to represent the context of a Approver.AddDispatchOperation() D-Bus call on a TpBaseClient.

## Functions

### tp_add_dispatch_operation_context_accept ()

    void
    tp_add_dispatch_operation_context_accept
                                   (TpAddDispatchOperationContext *self);

Called by TpBaseClientClassAddDispatchOperationImpl when it's done so the D-Bus method can return.

#### Parameters

self | a TpAddDispatchOperationContext |

Since 0.11.5

### tp_add_dispatch_operation_context_delay ()

    void
    tp_add_dispatch_operation_context_delay
                                   (TpAddDispatchOperationContext *self);

Called by TpBaseClientClassAddDispatchOperationImpl to indicate that it implements the method in an async way. The caller must take a reference to the TpAddDispatchOperationContext before calling this function, and is responsible for calling either `tp_add_dispatch_operation_context_accept()` or `tp_add_dispatch_operation_context_fail()` later.

#### Parameters

self | a TpAddDispatchOperationContext |

Since 0.11.5

### tp_add_dispatch_operation_context_fail ()

    void
    tp_add_dispatch_operation_context_fail
                                   (TpAddDispatchOperationContext *self,
                                    const GError *error);

Called by TpBaseClientClassAddDispatchOperationImpl to raise a D-Bus error.

#### Parameters

self | a TpAddDispatchOperationContext |
error | the error to return from the method |

Since 0.11.5

## Types and Values

### TpAddDispatchOperationContext

    typedef struct _TpAddDispatchOperationContext TpAddDispatchOperationContext;

Data structure representing the context of a Approver.AddDispatchOperation() call.

Since 0.11.5

## Property Details

### The `“account”` property

      “account”                  TpAccount *

A TpAccount object representing the Account of the DispatchOperation that has been passed to AddDispatchOperation. Read-only except during construction.

This property can't be `NULL`.

Flags: Read / Write / Construct Only

Since 0.11.5

### The `“channels”` property

      “channels”                 GPtrArray *

A GPtrArray containing TpChannel objects representing the channels that have been passed to AddDispatchOperation. Read-only except during construction.

This property can't be `NULL`.

Flags: Read / Write / Construct Only

Since 0.11.5

### The `“connection”` property

      “connection”               TpConnection *

A TpConnection object representing the Connection of the DispatchOperation that has been passed to AddDispatchOperation. Read-only except during construction.

This property can't be `NULL`.

Flags: Read / Write / Construct Only

Since 0.11.5

### The `“dbus-context”` property

      “dbus-context”             gpointer

The DBusGMethodInvocation representing the D-Bus context of the AddDispatchOperation call. Can only be written during construction.

Flags: Write / Construct Only

Since 0.11.5

### The `“dispatch-operation”` property

      “dispatch-operation”       TpChannelDispatchOperation *

A TpChannelDispatchOperation object representing the ChannelDispatchOperation that has been passed to AddDispatchOperation. Read-only except during construction.

This property can't be `NULL`.

Flags: Read / Write / Construct Only

Since 0.11.5